import { Method } from "axios";
import * as FormData from "form-data";
import { BiliCredential } from "./biliCredential";
/**
 * 请求
 */
export declare class Request {
    static user_agent: string;
    static referer: string;
    static request(url: string, method: Method, params?: Object, data?: string | Object | FormData, credential?: BiliCredential): Promise<any>;
    static get(url: string, params?: Object, credential?: BiliCredential): Promise<any>;
    static post(url: string, data: string | Object | FormData, credential?: BiliCredential): Promise<any>;
    static head(url: string, params?: {}, credential?: BiliCredential): Promise<any>;
}
//# sourceMappingURL=request.d.ts.map